#define USE_AND_OR /* To enable AND_OR mask setting */
#include "timer.h"


// *****************************************************************************
// *****************************************************************************
// Configuration Bits
// *****************************************************************************
// *****************************************************************************

        _CONFIG1(WDTPS_PS1 & FWPSA_PR32 & WINDIS_OFF & FWDTEN_OFF & ICS_PGx1 & GWRP_OFF & GCP_OFF & JTAGEN_OFF)
        _CONFIG2(POSCMOD_HS & I2C1SEL_PRI & IOL1WAY_OFF & OSCIOFNC_ON & FCKSM_CSDCMD & FNOSC_PRIPLL & PLL96MHZ_ON & PLLDIV_NODIV & IESO_ON)
        _CONFIG3(WPFP_WPFP0 & SOSCSEL_SOSC & WUTSEL_LEG & WPDIS_WPDIS & WPCFG_WPCFGDIS & WPEND_WPENDMEM)
        _CONFIG4(DSWDTPS_DSWDTPS3 & DSWDTOSC_LPRC & RTCOSC_SOSC & DSBOREN_OFF & DSWDTEN_OFF)

// *****************************************************************************


void __attribute__ ((interrupt,no_auto_psv)) _T2Interrupt (void)
{
	LATBbits.LATB15=!LATBbits.LATB15;
	T2_Clear_Intr_Status_Bit;
}


int main(void)
{
    CLKDIV = 0;        // system clock: 32MHz

	AD1PCFG = 0xffff; /*set AN pins to digital pin */
	TRISB = 0x7fff;	/* set PORTB RB15 (pin #26) to output*/
					/* "0" corresponds to "o"utput and "1" to "i"nput */

	LATBbits.LATB15=1;

	ConfigIntTimer2(T2_INT_ON|T2_INT_PRIOR_1);/*Enable Interrupt*/
	OpenTimer2(T2_ON|T2_PS_1_256,0xf424); //Timer is configured for 1 sec

	while(1);

}

